Last Comment Bug 341211 - Text disappears depending on window width
: Text disappears depending on window width
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Windows 2000
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://en.wikipedia.org/w/index.php?t...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-11 20:06 PDT by Kyungjoon Lee
Modified: 2011-09-09 05:56 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Normal behaviour at 862px. (62.89 KB, image/png)
2006-06-11 20:07 PDT, Kyungjoon Lee
no flags Details
Abnormal behaviour at 863px. (62.94 KB, image/png)
2006-06-11 20:08 PDT, Kyungjoon Lee
no flags Details
Testcase (707 bytes, text/html)
2006-06-12 02:03 PDT, Kyungjoon Lee
no flags Details

Description Kyungjoon Lee 2006-06-11 20:06:15 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8.1a3) Gecko/20060526 BonEcho/2.0a3
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8.1a3) Gecko/20060526 BonEcho/2.0a3

On the English Wikipedia, some text is undisplayed.

Normally, resizing the window will result in word-wrap, but sometimes, when width is changed, some words are dropped.

This does not happen with all articles, but it is reproducible with affected articles.

Reproducible: Always

Steps to Reproduce:
1. Visit http://en.wikipedia.org/w/index.php?title=Oahu&oldid=58021284
2. Resize window width to 862px.
3. Resize window width to 863px.

Actual Results:  
At 862px, all text on the first line is visible.
At 863px, some text on the first line is invisible.

Expected Results:  
All text should be visible regardless of window width.

Default theme of Bon Echo. Also happened earlier with Firefox 1.5.x, IIRC.
Comment 1 Kyungjoon Lee 2006-06-11 20:07:27 PDT
Created attachment 225228 [details]
Normal behaviour at 862px.
Comment 2 Kyungjoon Lee 2006-06-11 20:08:13 PDT
Created attachment 225229 [details]
Abnormal behaviour at 863px.
Comment 3 Ria Klaassen (not reading all bugmail) 2006-06-12 00:15:18 PDT
WFM with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1a3) Gecko/20060611 BonEcho/2.0a3
I don't see this behaviour.
Comment 4 Kyungjoon Lee 2006-06-12 02:03:52 PDT
Created attachment 225252 [details]
Testcase
Comment 5 Kyungjoon Lee 2006-06-12 02:05:37 PDT
Still not working. The new attachment is a simplified testcase I made.
Comment 6 Kyungjoon Lee 2006-06-16 22:44:16 PDT
I'm the original reporter. WFM with Windows XP. Maybe it only happens on Windows 2000?

Tested with:

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.3)
Gecko/20060426 Firefox/1.5.0.3

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1a3)
Gecko/20060526 BonEcho/2.0a3
Comment 7 Kyungjoon Lee 2006-11-22 08:48:11 PST
I see no such problems with Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9a1) Gecko/20061106 Minefield/3.0a1 ID:2006110618
Comment 8 RNicoletto 2011-09-09 05:56:14 PDT
CLOSED per comment 6 and comment 7.

Note You need to log in before you can comment on or make changes to this bug.